Bug 4847 - [UPDATE REQUEST] openssl 1.0.1j -> 1.0.1k
: [UPDATE REQUEST] openssl 1.0.1j -> 1.0.1k
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-12 10:44 MSK by Andrey Bondrov
Modified: 2015-01-14 07:28 MSK (History)
3 users (show)

See Also:
RPM Package: openssl
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
kuzma.kazygashev: secteam_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-01-12 10:44:39 MSK
New version of OpenSSL was released.
Comment 1 Andrey Bondrov 2015-01-12 10:52:17 MSK
Advisory: "New version 1.0.1k. It's a security update (CVE-2014-3571, CVE-2015-0206, CVE-2014-3569, CVE-2014-3572, CVE-2015-0204, CVE-2015-0205, CVE-2014-8275, CVE-2014-3570)"

https://abf.rosalinux.ru/build_lists/2388285
https://abf.rosalinux.ru/build_lists/2388286

P.S. When this update is approved, we need to publish build lists for Current:

https://abf.rosalinux.ru/build_lists/2388287
https://abf.rosalinux.ru/build_lists/2388288
Comment 2 FirstLevel 2015-01-13 11:26:56 MSK
For 32bit and 64 bit update goes well.
Also openning https connection with gmail - ok.
Also executing of commands
# openssl genrsa -des3 -out example.com.key 2048
# openssl req -new -key example.com.key -out example.com.csr
# openssl rsa -in example.com.key -out example.com-nopass.key -passin stdin
# openssl req -noout -text -in example.com.csr
- OK
Comment 3 Vladimir Potapov 2015-01-13 17:26:05 MSK
openssl-1.0.1k-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2388285/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2388286/x86_64/main/release/
*********************** Advisory ******************************
New version 1.0.1k. It's a security update (CVE-2014-3571, CVE-2015-0206, CVE-2014-3569, CVE-2014-3572, CVE-2015-0204, CVE-2015-0205, CVE-2014-8275, CVE-2014-3570)
***************************************************************
QA Verified